### Hierarchy

- UpdateActionDef

## Index

### Constructors

- constructor

### Properties

- action
- actionKeyword

## Constructors

### constructor

- new UpdateActionDef(actionKeyWord: UpdateActionKeyword, action: UpdateAction): UpdateActionDef

- - Defined in dynamo/expression/type/update-action-def.ts:6

  #### Parameters

  - ##### actionKeyWord: UpdateActionKeyword

  - ##### action: UpdateAction

  #### Returns UpdateActionDef

## Properties

### action

action: UpdateAction

- Defined in dynamo/expression/type/update-action-def.ts:6

### actionKeyword

actionKeyword: UpdateActionKeyword

- Defined in dynamo/expression/type/update-action-def.ts:5

Generated using TypeDoc